%define major 12
%define libname %mklibname exosip2_ %{major}
%define devname %mklibname -d exosip2

Summary:	Extended osip library
Name:		exosip
Version:	5.0.0
Release:	1
License:	GPLv2+
Group:		System/Libraries
Url:		http://savannah.nongnu.org/projects/exosip/
Source0:	http://download.savannah.gnu.org/releases/exosip/libexosip2-%{version}.tar.gz
BuildRequires:	pkgconfig(libosip2) >= %{version}
BuildRequires:	pkgconfig(openssl)

%description
Exosip is a library that hides the complexity of using the SIP protocol for
mutlimedia session establishement. This protocol is mainly to be used by VoIP
telephony applications (endpoints or conference server) but might be also
useful for any application that wish to establish sessions like multiplayer
games.

%files
%doc README
%{_bindir}/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Dynamic libraries from %{name}
Group:		System/Libraries

%description -n %{libname}
Dynamic libraries from %{name}

%files -n %{libname}
%{_libdir}/libeXosip2.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Header files and static libraries from %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	libexosip2-devel = %{EVRD}
Provides:	lib%{name}-devel = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Obsoletes:	%{_lib}exosip2-devel < 3.6.0

%description -n %{devname}
Libraries and includes files for developing programs based on %{name}.

%files -n %{devname}
%doc AUTHORS ChangeLog NEWS
%{_includedir}/*
%{_libdir}/*.so

#----------------------------------------------------------------------------

%prep
%setup -qn libexosip2-%{version}

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std


%changelog

* Fri Jun 15 2018 Denis Silakov <dsilakov@virtuozzo.com> 5.0.0-1
- (89b03f8) Fix file name


